Bug 1419630 - please update to latest
Summary: please update to latest
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: certbot
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 15:27 UTC by Brian J. Murrell
Modified: 2017-03-02 11:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-02 11:47:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Brian J. Murrell 2017-02-06 15:27:16 UTC
Description of problem:
I need the --manual-auth-hook option that is in 0.10.0

Version-Release number of selected component (if applicable):
certbot-0.9.3-1.el7.noarch

How reproducible:
100%

If you could package up the latest, I would be grateful.

I do see in http://pkgs.fedoraproject.org/cgit/rpms/certbot.git/ that there was an update to 0.11.1, but I didn't see any EL7 builds for it in bohdi/koji.

Cheers.

Comment 1 James Hogarth 2017-02-07 09:20:29 UTC
I was building certbot 0.11.1 for Fedora in a bout of insomnia at silly o'clock ;)

The EPEL7 build failed in mock due to tests failing with this error:

  File "setup.py", line 83, in <module>
    test_suite='acme',
  File "/usr/lib64/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib64/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/site-packages/setuptools/command/test.py", line 128, in run
    self.distribution.fetch_build_eggs(self.distribution.install_requires)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 289, in fetch_build_eggs
    parse_requirements(requires), installer=self.fetch_build_egg
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 631, in resolve
    requirements.extend(dist.requires(req.extras)[::-1])
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2497, in requires
    "%s has no such extra feature %r" % (self, ext)
pkg_resources.UnknownExtra: requests 2.6.0 has no such extra feature 'security'


python-requests is in the base repos so I can't update it, and though the version in el7 is 2.6.0 and the setup.py specifies a version >=2.4.1 there is obviously some incompatibility.

I haven't yet had time to investigate the actual issues - I'll be raising an issue upstream and working closely with them for this however.

You didn't see the build failure in koji as I won't bother to push to koji if the build fails in mock.

Comment 2 James Hogarth 2017-02-07 09:49:55 UTC
Good news! just removing [security] in the setup.py from requests[security] and tests pass ...

Continuing the build (and ofc I'll test in AWS before creating the update in bodhi when I get that far)

I'll update here when I'm done and would really appreciate the testing once it's there.

Comment 3 Fedora Update System 2017-02-07 11:44:39 UTC
certbot-0.11.1-2.el7 python-acme-0.11.1-1.el7 python-certbot-apache-0.11.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-29713baf89

Comment 4 James Hogarth 2017-02-07 11:45:45 UTC
so a test of certbot certonly and certbot with the apache plugin worked in aws

if you could give this further testing and report on bodhi I'd appreciate it

Comment 5 Fedora Update System 2017-02-08 03:48:53 UTC
certbot-0.11.1-2.el7, python-acme-0.11.1-1.el7, python-certbot-apache-0.11.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-29713baf89

Comment 6 Fedora Update System 2017-03-02 03:48:01 UTC
certbot-0.11.1-2.el7, python-acme-0.11.1-1.el7, python-certbot-apache-0.11.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.